%bcond_without check

%global goipath         github.com/pelletier/go-toml
Version:                1.9.5

%gometa

%global common_description %{expand:
Go-toml provides the following features for using data parsed from TOML
documents:

 - Load TOML documents from files and string data
 - Easily navigate TOML structure using Tree
 - Mashaling and unmarshaling to and from data structures
 - Line & column position data for all parsed elements
 - Query support similar to JSON-Path
 - Syntax errors contain line and column numbers}

%global golicenses      LICENSE
%global godocs          SECURITY.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library for the TOML file format

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/jsontoml cmd/tomljson cmd/tomll; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                                             %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/{jsontoml,tomljson,tomll} %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc SECURITY.md CONTRIBUTING.md README.md
%{_bindir}/{jsontoml,tomljson,tomll}

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
